.TH MPI_MAP 1
.SH NAME
mpi_map \- generate a MPI_Alltoall map and its properties
.PP
mpi_seq \- generate a sequence for MPI_Alltoall
.PP
mpi_cast \- generate a MPI_Broadcast map
.SH SYNOPSIS
.PP
.B mpi_map
<
.I simplex
|
.I duplex
>
.I procs
[
.I localprocs
[
.I technique
]
]
.PP
.B mpi_seq
.I procs
[
.I localprocs
[
.I technique
]
]
.PP
.B mpi_cast
.I procs
[
.I localprocs
]
.SH DESCRIPTION
.PP
.I mpi_map
.IR mpi_seq ,
and
.I mpi_cast
are very crude programs for experimenting with the map generation
codes without having to bother with everything else.
.SS Options
.PP
.I mpi_map
recognizes the following option:
.TP
.I simplex
means generate maps for simplex transfers.
.TP
.I duplex
means generate maps for duplex transfers.
.PP
.I mpi_map
and
.I mpi_seq
recognize the following options:
.TP
.I procs
is the number of processes to generate the map for.
.TP
.I localprocs
is the unit of local rather than remote access; naturally, it
must subdivide the number of processes and be greater than one.
Note that it need not be the number of processes in a SMP unit, but
could be the number of CPUs on a board or any other relevant division.
If it is negative, the processes are allocated round-robin rather than
contiguously.
.TP
.I technique
controls alltoall emulation and is one of
.IR passes ,
.IR total ,
.I peak
and
.IR overall ,
for minimising the number of passes, the maximum total remote transfers per
pass, the maximum remote transfers per pass per node or the maximum overall
transfers per pass in alltoall emulations.
.PP
.I mpi_cast
recognizes the following options:
.TP
.I procs
is the number of processes to generate the map for.
.TP
.I localprocs
is the unit of local rather than remote access, as in
.IR mpi_map .
.SH AUTHOR
.I mpi_map
and
.I mpi_cast
were developed by N.M. Maclaren of the University of Cambridge Computing
Service.
